Getnet DocsGetnet Docs

Retrieve seller configurations

GET/payment-links/business-configurations

Returns the seller's saved configurations (default payment methods, installments, currency). The x-seller-id, country, and tenant information is extracted from the authentication token.

Header Parameters

Authorizationstringrequired

Bearer Token (JWT). x-seller-id, country, and tenant are extracted from the token.

Response

Configurations found

expirationstring<date-time>
max_ordersinteger
request_delivery_addressboolean
paymentobject

Payment methods configuration. At least one method must be enabled (enabled: true). **Availability by country:** | Method | BR | MX | AR | CL | ES | UY | |--------|----|----|----|----|----|----| | credit | ✓ | ✓ | ✓ | ✓ | ✓ | ✓ | | debit | ✓ | ✓ | ✓ | ✓ | ✓ | ✓ | | bankslip | ✓ | — | — | — | — | — | | instant_payment | ✓ | — | — | — | — | — | | google_pay | ✓ | — | — | — | — | — | | apple_pay | ✓ | — | — | — | — | — | | c2p_master | — | — | ✓ | — | — | — |

Show payment properties
creditobject
Show credit properties
enabledboolean
brandsobject[]
Show brands properties
enabledboolean
brandstring

Card brand (VISA, MASTERCARD, AMEX, ELO, HIPERCARD, CABAL, CARNET)

currenciesstring[]
threedsboolean

3DS authentication enabled

supported_installmentsobject[]
Show supported_installments properties
schemastring

Installment schema identifier

schema_namestring

Descriptive name of the schema

installmentsinteger[]

Enabled installments (integers >= 2)

installments_with_interestinteger[]

Installments with interest

installments_with_increaseobject[]

Groups of installments with surcharge rate

Show installments_with_increase properties
installmentsinteger[]
ratenumber<float>
debitobject
Show debit properties
enabledboolean
brandsobject[]
Show brands properties
enabledboolean
brandstring
currenciesstring[]
threedsboolean
bankslipobject
Show bankslip properties
enabledboolean
instant_paymentobject
Show instant_payment properties
enabledboolean
google_payobject

Available only for BR

Show google_pay properties
enabledboolean
apple_payobject

Available only for BR

Show apple_pay properties
enabledboolean
c2p_masterobject

Click to Pay Mastercard — available only for AR

Show c2p_master properties
enabledboolean
payment_typesstring[]
currencystring

ISO 4217 code (3 letters). Main ones: BRL, ARS, CLP, MXN, EUR, UYU, USD, COP, PEN

Not found

error_codestring
messagestring
status_codeinteger

Internal server error

error_codestring
messagestring
status_codeinteger
Request
curl -X GET "https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links/business-configurations" \
  -H "Authorization: <Authorization>"
Response
{
  "expiration": "2026-12-31T23:59:59.000Z",
  "max_orders": 100,
  "request_delivery_address": false,
  "payment": {
    "credit": {
      "enabled": true,
      "brands": [
        {
          "enabled": true,
          "brand": "VISA",
          "currencies": [
            "BRL"
          ],
          "threeds": true,
          "supported_installments": [
            {
              "schema": "plan_lojista",
              "schema_name": "Plan Lojista",
              "installments": [
                2,
                3,
                6,
                9,
                12
              ],
              "installments_with_interest": [
                6,
                9,
                12
              ],
              "installments_with_increase": null
            }
          ]
        }
      ]
    },
    "debit": {
      "enabled": true,
      "brands": [
        {
          "enabled": true,
          "brand": "VISA",
          "currencies": [
            "BRL"
          ],
          "threeds": true
        }
      ]
    },
    "bankslip": {
      "enabled": true
    },
    "instant_payment": {
      "enabled": true
    },
    "google_pay": {
      "enabled": true
    },
    "apple_pay": {
      "enabled": true
    },
    "c2p_master": {
      "enabled": false
    }
  },
  "payment_types": null,
  "currency": "BRL"
}